Answered
0
0

We are submitting a new update of our game to the mac appstore with Xcode 7 and when the package is being validated by the appstore, I am getting the following error:

“Couldn’t find platform family in Info.plist CFBundleSupportedPlatforms or Mach-O LC_VERSION_MIN for libfmodevent.dylib”

I updated all the libs to 4.44.57

Any idea about this issue?

  • You must to post comments
Best Answer
1
0

I’ve done some research and discovered our old toolchain for FMOD Ex isn’t inserting LC_VERSION_MIN_MACOSX and we do not bundle our dylibs so there is no info.plist.

We’ll investigate building FMOD Ex with a newer toolchain to ensure LC_VERSION_MIN_MACOSX is in place, I think this will deprecate our PPC support though (does anyone even still own one of those?).

  • Mathew Block
    This is fixed for 4.44.59 (once released).
  • You must to post comments
0
0

Do you have an ETA regarding the new libs?

  • Mathew Block
    I’ll send you a preview of the fix.
  • You must to post comments
Showing 2 results
Your Answer

Please first to submit.